# Get Sample Template

<mark style="color:blue;">`GET`</mark> `/bulk/v1/sample/{schemaName}`

this will download a csv with the all fields that are needed to create entity for this schema

#### Path Parameters

| Name                                         | Type   | Description    |
| -------------------------------------------- | ------ | -------------- |
| schemaName<mark style="color:red;">\*</mark> | String | name of schema |

#### Headers

| Name          | Type   | Description                                                                                         |
| ------------- | ------ | --------------------------------------------------------------------------------------------------- |
| Authorization | String | Set to `Bearer {access-token}` if roles in schema is not anonymous. Else authorization can be empty |

{% tabs %}
{% tab title="200: OK A CSV File with fields for header" %}

{% endtab %}

{% tab title="403: Forbidden if the token is expired or you do not have appropriate permission to create entity" %}

{% endtab %}

{% tab title="404: Not Found If schema is not found in the system" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sunbirdrc.dev/api-reference/bulk-issuance-api/get-sample-template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
